tt_session_propname(library call)

NAME
tt_session_propname — returns an element of the list of property names for a session

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_session_propname(
const char *sessid,
int n);

DESCRIPTION

The tt_session_propname function returns the nth element of the list of currently defined property names for the specified session.

The sessid argument is the name of the session joined. The application can use the sessid value returned when tt_default_session is called. The n argument is the number of the item in the property name list for which a name is to be obtained. The list numbering begins with zero.

RETURN VALUE

Upon successful completion, the tt_session_propname function returns the name of the specified property from the session property list. If there are n properties or fewer, tt_session_propname returns NULL. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).